/// <reference types="react" />
import './ReportInfoPanel.scss';
declare const defaultDisplayStrings: {
    status: string;
    issueType: string;
    category: string;
    impactedWorkflows: string;
    fileName: string;
    message: string;
    metadata: string;
    filePath: string;
    fileId: string;
    dataSource: string;
    failed: string;
    processedWithIssues: string;
    processed: string;
    learnMore: string;
};
export declare const ReportInfoPanel: ({ displayStrings: userDisplayStrings, onIssueArticleOpened, className, ...rest }: {
    displayStrings?: Partial<{
        status: string;
        issueType: string;
        category: string;
        impactedWorkflows: string;
        fileName: string;
        message: string;
        metadata: string;
        filePath: string;
        fileId: string;
        dataSource: string;
        failed: string;
        processedWithIssues: string;
        processed: string;
        learnMore: string;
    }> | undefined;
    onIssueArticleOpened?: ((issueId: string) => void) | undefined;
    className?: string | undefined;
}) => JSX.Element;
export {};
